package cn.jlsxwkj.common.R;


import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 响应成功封装.
 *
 * @author zh
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class ResponseSucceed extends Response {

    /**
     * 成功状态.
     */
    private static final int SUCCESS_CODE = 200;

    /**
     * response success.
     *
     * @param data 数据
     * @return 返回响应成功对象
     */
    public static ResponseSucceed data(final Object data) {
        ResponseSucceed r = new ResponseSucceed();
        r.setCode(SUCCESS_CODE);
        r.setMessage("完成");
        r.setData(data);
        return r;
    }
}
