package cn.jlsxwkj.moudles.weather_demo;

import cn.hutool.http.HttpRequest;
import cn.hutool.json.JSONUtil;
import cn.jlsxwkj.common.utils.Log;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.Map;
import java.util.function.Function;

@Service
public class WeatherService implements Function<Request, String> {

    @Override
    public String apply(final Request request) {
        Log.info(this.getClass(), "省 : {},  地区 {}", request.getSheng(), request.getPlace());
        Map<String, Object> kv = new HashMap<>();
        kv.put("id", "88888888");
        kv.put("key", "88888888");
        kv.put("sheng", request.getSheng());
        kv.put("place", request.getPlace());
        String body = HttpRequest.get("https://cn.apihz.cn/api/tianqi/tqyb.php")
            .form(kv)
            .execute()
            .body();
        String response = JSONUtil.parse(body).toBean(Response.class).toString();
        Log.info(this.getClass(), response);
        return response;
    }
}

