package cn.jlsxwkj.moudles.log_error;

import cn.jlsxwkj.common.dao.Dao;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author zh
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class LogError extends Dao {

    /**
     * 异常名.
     */
    private String exception;
    /**
     * 异常消息.
     */
    private String message;
    /**
     * 异常堆栈.
     */
    private String errorStackTrace;
}
