package cn.jlsxwkj.moudles.user_list;

import lombok.Data;

@Data
public class UserVO {

    /**
     * 用户 id.
     */
    private String userId;
    /**
     * 用户名.
     */
    private String userName;
    /**
     * 消息.
     */
    private String message;

    /**
     * 转换实体为 VO.
     *
     * @param userList 实体
     * @param message  消息
     * @return VO
     */
    public static UserVO cast(final UserList userList,
                              final String message) {
        UserVO userVO = new UserVO();
        userVO.setUserId(userList.getUserId());
        userVO.setUserName(userList.getUserName());
        userVO.setMessage(message);
        return userVO;
    }
}
