package cn.jlsxwkj.moudles.weather_demo;

import lombok.Data;

@Data
public class Response {

    private String precipitation;
    private String temperature;
    private String pressure;
    private String humidity;
    private String windDirection;
    private String windDirectionDegree;
    private String windSpeed;
    private String windScale;
    private String place;
    private String weather1;
    private String weather2;


    @Override
    public String toString() {
        return """
            降水: %s, 温度: %s, 气压: %s, 湿度: %s, 风向: %s, 风向度: %s, 风速: %s, 风力等级: %s, 地区: %s, 天气: %s - %s
            """.formatted(precipitation, temperature, pressure, humidity, windDirection, windDirectionDegree, windSpeed, windScale, place, weather1, weather2);
    }
}
